import { getLatestVersion } from '../version.js'

export default async (req, res, next) => {
  try {
    const latestVersion = await getLatestVersion()
    const version = req.get('version') || latestVersion
    res.setHeader('version', version)
    res.setHeader('latest-version', latestVersion)
    res.version = version
  } catch (err) {
    next(err)
  } finally {
    next()
  }
}
